Upgrading from 2.8 to 2.9.6-static

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrading from 2.8 to 2.9.6-static

Jonas Daugaard

Hello,

I am trying to update my pdns 2.8 to the new 2.9.6-static. I'm running
the mysql-backend under debian linux.

Normally I just download the .deb and install it, like this:

# dpkg -i pdns-static_2.9.6-1_i386.deb
(Reading database ... 12924 files and directories currently installed.)
Unpacking pdns-static (from pdns-static_2.9.6-1_i386.deb) ...
dpkg: error processing pdns-static_2.9.6-1_i386.deb (--install):
 trying to overwrite `/usr/sbin/pdns_server', which is also in package
pdns
Errors were encountered while processing:
dpkg-deb: subprocess paste killed by signal (Broken pipe)
 pdns-static_2.9.6-1_i386.deb

What should I do next to get this to work? Must I use apt-get instead,
or maybe even manually un-install the old pdns?


Med venlig hilsen / Best regards
Jonas Daugaard
Cube Marketing ApS




Reply | Threaded
Open this post in threaded view
|

Re: Upgrading from 2.8 to 2.9.6-static

bert hubert
On Wed, Mar 05, 2003 at 02:47:28PM +0100, Jonas Daugaard wrote:
>
> Hello,
>
> I am trying to update my pdns 2.8 to the new 2.9.6-static. I'm running
> the mysql-backend under debian linux.

copy your configuration to a safe place and do:

dpkg -p pdns                              <- purges
dpkg -i pdns-static_2.9.6-1_i386.deb

We renamed the package so as not to conflict with the 'sid' powerdns
package.

> What should I do next to get this to work? Must I use apt-get instead,
> or maybe even manually un-install the old pdns?

Indeed.

--
http://www.PowerDNS.com      Open source, database driven DNS Software
http://lartc.org           Linux Advanced Routing & Traffic Control HOWTO
http://netherlabs.nl                         Consulting